
From: Andi Kleen <ak@muc.de>

Straightforward patch to remove a warning in genapic about a unused
function.

Independently done by Chris Wright too.

Signed-off-by: Andi Kleen <ak@muc.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/genapic_cluster.c |    8 --------
 1 files changed, 8 deletions(-)

diff -puN arch/x86_64/kernel/genapic_cluster.c~x86_64-fix-warning-in-genapic arch/x86_64/kernel/genapic_cluster.c
--- 25/arch/x86_64/kernel/genapic_cluster.c~x86_64-fix-warning-in-genapic	2004-10-28 19:12:31.849188552 -0700
+++ 25-akpm/arch/x86_64/kernel/genapic_cluster.c	2004-10-28 19:12:31.853187944 -0700
@@ -57,14 +57,6 @@ static void cluster_init_apic_ldr(void)
 	apic_write_around(APIC_LDR, val);
 }
 
-static int cluster_cpu_present_to_apicid(int mps_cpu)
-{
-	if ((unsigned)mps_cpu < NR_CPUS)
-		return (int)bios_cpu_apicid[mps_cpu];
-	else
-		return BAD_APICID;
-}
-
 /* Start with all IRQs pointing to boot CPU.  IRQ balancing will shift them. */
 
 static cpumask_t cluster_target_cpus(void)
_
